API Management

Decode Json Web Token

Decode the JWT token header and payload and return the JSON object.

Configuration

ID Identifier property specifies the manner in which the token is passed. Click ID Identifier edit icon to configure Message Part Identifier.

VerifyJWT.png
Figure 1: Decode Json Web Token policy configuration attributes

Request

Use browser/Postman.

curl -X GET \http://192.168.2.231:2160/decode/1.0/ -H 'jwt-token: ewogICJ0eXBlIiA6ICJKV1QiLAogICJhbGciIDogIkhTMjU2IiwKICAia0lEIiA6ICIxMjM0NTYiCn0=.ewogICJzdWIiIDogIkpzb24tVG9rZW4tR2VuZXJhdGlvblwiIiwKICAiaXNzIiA6ICJGaW9yYW5vIHNvZnR3YXJlIHByaXZhdGUgbHRkIiwKICAiYXVkIiA6ICJhdWRpZW5jZSIsCiAgImlhdCIgOiAiMTU0Mzk5MzY1NDUyMyIsCiAgImV4cCIgOiAiMTU0NDU5MzY1NDUyMyIsCiAgInNob3ciIDogIkp3dCB0b2tlbiAiLAogICJhZGRpdGlvbmFsQ2xhaW0iIDogeyB9Cn0=.w+QytOrnVklseLee6T8/MpSahHAS2XqXfNOA+l3xWTA=' \

Response

JWT Header and Claim information.

decodejwtResponse.png
Figure 2: Decode Json Web Token policy configuration attributes